> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept a team invitation and set up your account



## OpenAPI

````yaml /openapi.json post /api/v1/teams/accept
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/teams/accept:
    post:
      tags:
        - Teams
      summary: Accept a team invitation and set up your account
      operationId: TeamsController_acceptInvite
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcceptInviteDto'
      responses:
        '200':
          description: Invitation accepted successfully.
        '201':
          description: ''
        '400':
          description: Validation failed or the request body/params were malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    AcceptInviteDto:
      type: object
      properties:
        token:
          type: string
          description: Invitation token from the email link
          example: abc123def456...
        first_name:
          type: string
          description: First name
          example: Jane
        last_name:
          type: string
          description: Last name
          example: Doe
        password:
          type: string
          description: >-
            User password — min 8 characters, must include at least one
            uppercase letter, one number, and one special character
          example: Password123!
          minLength: 8
      required:
        - token
        - first_name
        - last_name
        - password
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````